import request from '@/utils/request'

// 确认PUMPOVERHAUL完成确认清单
export function handleConfirmPumpOverhaul(data) {
  return request({
    url: '/pssr/pumpOverhaul/confirmPumpOverhaul',
    method: 'put',
    data: data
  })
}

// 驳回PUMPOVERHAUL完成确认清单
export function handleTurnDownPumpOverhaul(data) {
  return request({
    url: '/pssr/pumpOverhaul/turnDownPumpOverhaul',
    method: 'put',
    data: data
  })
}


// 查询机泵检修完成确认清单列表
export function listPumpOverhaul(query) {
  return request({
    url: '/pssr/pumpOverhaul/list',
    method: 'get',
    params: query
  })
}

// 查询机泵检修完成确认清单详细
export function getPumpOverhaul(id) {
  return request({
    url: '/pssr/pumpOverhaul/' + id,
    method: 'get'
  })
}

// 新增机泵检修完成确认清单
export function addPumpOverhaul(data) {
  return request({
    url: '/pssr/pumpOverhaul',
    method: 'post',
    data: data
  })
}

// 修改机泵检修完成确认清单
export function updatePumpOverhaul(data) {
  return request({
    url: '/pssr/pumpOverhaul',
    method: 'put',
    data: data
  })
}

//
export function updatePumpOverhaulBatch(data) {
  return request({
    url: '/pssr/pumpOverhaul/editBatch',
    method: 'put',
    data: data
  })
}


// 删除机泵检修完成确认清单
export function delPumpOverhaul(id) {
  return request({
    url: '/pssr/pumpOverhaul/' + id,
    method: 'delete'
  })
}

// 导出机泵检修完成确认清单
export function exportPumpOverhaul(query) {
  return request({
    url: '/pssr/pumpOverhaul/export',
    method: 'get',
    params: query
  })
}
